Subject: Re: bug#62211: Job build-native-comp-speed2 does not run anymore on EMBA

From: Michael Albinus <[email-masked]>
Date: Wed, 22 Mar 2023 18:26:34 +0100

Andrea Corallo <[email-masked]> writes:

> Hi Michael,

Hi Andrea,

>>>> Recently, we have upgraded EMBA jobs to run using Debian 11 (bullseye)
>>>> instead of Debian 9 (stretch). Since then, the gitlab job
>>>> build-native-comp-speed2 fails. See for example
>>>> <https://emba.gnu.org/emacs/emacs/-/jobs/64725/raw>.
>>>>
>>>> It looks to me, like we must replace Debian package libgccjit-6-dev by
>>>> something else.
>>>
>>> Nobody has answered, so I comment out the tests temporarily.
>>
>> It looks like neither debbugs nor me get your messages. Could you,
>> please, change test/infra/Dockerfile.emba accordingly (on the emacs-29
>> branch)?
>
> I'm not sure of the change, we probably should replace libgccjit-6-dev
> with a newer one (BTW no idea why something changed) but I think we
> should use the same version of the running GCC.  Do you happen to know
> which GCC version is the docker running now?

We have upgraded Debian from stretch to bullseye. According to
https://packages.debian.org/de/gcc on stretch there is gcc 6.3.0, and on
bullseye there is gcc 10.2.1.

Does it mean we shall install libgccjit-10-dev now instead of
libgccjit-6-dev? Will try it.

>> You might also try to reach me via <[email-masked]>.
>
> Doing it now thanks

It didn't reach me either :-(

I'm replying to your message which has appeared on debbugs.gnu.org. At
least *this* seems back wo work.

> BTW this was the body of my previous mail:
>
> "
> The error is not Emacs related, for some reason building the docker
> libgccjit-6-dev can't be found.
>
> I've no idea why but we should not disable build-native-comp-speed2,
> that's our standard build with native compilation.
> "

Of course. Nobody plans to disable it permanently. I just was a little
bit nervous, because I haven't seen progress.

> Best Regards
>   Andrea

Best regards, Michael.